## Apache Zeta Components Manual :: Docs For Class ezcConsoleProgressbarOptions

### ConsoleTools::ezcConsoleProgressbarOptions

### Class ezcConsoleProgressbarOptions

Struct class to store the options of the ezcConsoleOutput class.

This class stores the options for the ezcConsoleOutput class.

Source for this file: /ConsoleTools/src/options/progressbar.php

    ezcBaseOptions
       |
       --ezcConsoleProgressbarOptions

Version: | //autogen//

### Properties

string | read/write | `$actFormat` The format to display the actual value with.
string | read/write | `$barChar` The character to fill the bar with, during progress indication.
string | read/write | `$emptyChar` The character to pre-fill the bar, before indicating progress.
string | read/write | `$formatString` The format string to describe the complete progressbar.
string | read/write | `$fractionFormat` Format to display the fraction value.
string | read/write | `$maxFormat` The format to display the actual value with.
int | read/write | `$maxVerbosity` Defines the maximum {ezcConsoleOutputOptions->$verbosityLevel} on which the progress bar is rendered. If $verbosityLevel is higher, the bar is skipped. Default is false, to render always.
int | read/write | `$minVerbosity` Defines the minimum {ezcConsoleOutputOptions->$verbosityLevel} that is needed by the progress bar to be rendered. If $verbosityLevel is lower, the bar is skipped. Default is 0 to render always.
string | read/write | `$processChar` The character for the end of the progress area (the arrow!).
int | read/write | `$redrawFrequency` How often to redraw the progressbar (on every Xth call to advance()).
int | read/write | `$step` How many steps to advance the progressbar on each call to advance().
int | read/write | `$width` The width of the bar itself.

### Member Variables

protected mixed | `$properties = array( 'barChar' => "+", 'emptyChar' => "-", 'formatString' => "%act% / %max% [%bar%] %fraction%%", 'fractionFormat' => "%01.2f", 'progressChar' => ">", 'redrawFrequency' => 1, 'step' => 1, 'width' => 78, 'actFormat' => '%.0f', 'maxFormat' => '%.0f', 'minVerbosity' => 1, 'maxVerbosity' => false, )`

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

Documentation generated by phpDocumentor 1.4.3